# eric4.Plugins.WizardPlugins.ColorDialogWizard.ColorDialogWizardDialog

Module implementing the color dialog wizard dialog.

### Global Attributes

None

### Classes

ColorDialogWizardDialog | Class implementing the color dialog wizard dialog.

### Functions

None

## ColorDialogWizardDialog

Class implementing the color dialog wizard dialog.

It displays a dialog for entering the parameters for the QColorDialog code generator.

### Derived from

QDialog, Ui_ColorDialogWizardDialog

### Class Attributes

None

### Class Methods

None

### Methods

ColorDialogWizardDialog | Constructor
getCode | Public method to get the source code.
on_bTest_clicked | Private method to test the selected options.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_eColor_editTextChanged | Private slot to handle the editTextChanged signal of eColor.
on_eRGB_textChanged | Private slot to handle the textChanged signal of eRGB.
on_rQt45_toggled | Private slot to handle the toggled signal of the rQt45 radio button.

### Static Methods

None

#### ColorDialogWizardDialog (Constructor)

ColorDialogWizardDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

#### ColorDialogWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

#### ColorDialogWizardDialog.on_bTest_clicked

on_bTest_clicked()

Private method to test the selected options.

#### ColorDialogWizardDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### ColorDialogWizardDialog.on_eColor_editTextChanged

on_eColor_editTextChanged(text)

Private slot to handle the editTextChanged signal of eColor.

text
  the new text (QString)

#### ColorDialogWizardDialog.on_eRGB_textChanged

on_eRGB_textChanged(text)

Private slot to handle the textChanged signal of eRGB.

text
  the new text (QString)

#### ColorDialogWizardDialog.on_rQt45_toggled

on_rQt45_toggled(on)

Private slot to handle the toggled signal of the rQt45 radio button.

on
  toggle state (boolean) (ignored)

Up